// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <limits>
using namespace std;

double a {};
double b {};
double c {};
int d {};

template <typename A>
A Multiply(A x, A y)
{
    return (x * y);
}

int main()
{
    cout << "Enter any number to multiply: ";
    cin >> a;
    cout << "Enter another number: ";
    cin >> b;
    c = Multiply<double>(a, b);
    d = Multiply<int>(a, b);
    cout << '\n' << "You have entered " << a << " and " << b << '\n';
    cout << "Their product is" << '\n' << c << " (as a decimal value)" << '\n' << d << " (as an integer value)" << '\n';
    
    cin.clear();
    cin.ignore(numeric_limits<streamsize>::max(), '\n');
    cin.get();
    return 0;
}
